AggregatedQueryLeafProfilerResult (Lucene 10.5.1 sandbox API)
Description: declaration: package: org.apache.lucene.sandbox.search, class: AggregatedQueryLeafProfilerResult

Package org.apache.lucene.sandbox.search

# Class AggregatedQueryLeafProfilerResult

java.lang.Object
org.apache.lucene.sandbox.search.AggregatedQueryLeafProfilerResult

public class AggregatedQueryLeafProfilerResult extends Object
This class is the internal representation of a profiled Query, corresponding to a single node in the query tree. It is built after the query has finished executing and is merely a structured representation, rather than the entity that collects the timing profile.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AggregatedQueryLeafProfilerResult(Thread thread, Map<String,Long> breakdown, long startTime, long totalTime)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getStartTime()`
  Returns the start time for this query node execution.
  `Thread`
  `getThread()`
  Returns the thread that executed query for these leaves
  `Map<String,Long>`
  `getTimeBreakdown()`
  Returns the timing breakdown for this node.
  `long`
  `getTotalTime()`
  Returns the total time (inclusive of children) for this query node.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AggregatedQueryLeafProfilerResult

    public AggregatedQueryLeafProfilerResult(Thread thread, Map<String,Long> breakdown, long startTime, long totalTime)

- ## Method Details

  - ### getThread

    public Thread getThread()
    Returns the thread that executed query for these leaves
    Returns:
      thread that executed query node

  - ### getTimeBreakdown

    public Map<String,Long> getTimeBreakdown()
    Returns the timing breakdown for this node.
    Returns:
      map containing time breakdown across different operation types

  - ### getStartTime

    public long getStartTime()
    Returns the start time for this query node execution.
    Returns:
      start time in nanoseconds

  - ### getTotalTime

    public long getTotalTime()
    Returns the total time (inclusive of children) for this query node.
    Returns:
      elapsed time in nanoseconds